﻿using System;

using Xamarin.Forms;
using System.Collections.Generic;
using Syncfusion.SfChart.XForms;
using System.Diagnostics;
using System.Collections.ObjectModel;

namespace SimpleSample
{
	public class SampleChart : ContentPage
	{

		public SampleChart ()
		{
			StackLayout layout = new StackLayout(){Padding = new Thickness(5,15,5,5)};						
			ViewModel dataModel = new ViewModel();

			var chart = new SfChart ();
            chart.PrimaryAxis = new CategoryAxis();
			chart.SecondaryAxis = new NumericalAxis ();

			ColumnSeries column = new ColumnSeries ();
			//Enable the tooltip
			column.EnableTooltip = true;
            column.XBindingPath = "Name";
            column.YBindingPath = "Value";
            column.ItemsSource = dataModel.data ;	
			chart.Series.Add(column);

			//Customize the tooltip label
			ChartTooltipBehavior tooltip = new ChartTooltipBehavior();
			tooltip.BackgroundColor = Color.Blue;
			tooltip.BorderColor = Color.Aqua;
			tooltip.BorderWidth	= 3;
			chart.ChartBehaviors.Add(tooltip);

			chart.VerticalOptions = LayoutOptions.FillAndExpand;
			chart.HorizontalOptions = LayoutOptions.FillAndExpand;

			layout.Children.Add(chart);
			Content = layout;
		}
	}  

	public class ViewModel
	{
		public ObservableCollection<MyModel> data { get; set; }

		public ViewModel()
		{
			data = new ObservableCollection<MyModel>();
			data.Add(new MyModel() { Name = "2010", Value = 23 });
			data.Add(new MyModel() { Name = "2011", Value = 17 });
			data.Add(new MyModel() { Name = "2012", Value = 34 });
			data.Add(new MyModel() { Name = "2013", Value = 42 });
			data.Add(new MyModel() { Name = "2014", Value = 19 });
		}
	}

	public class MyModel
	{
		public string Name{ get; set; }
		public double Value{ get; set; }
	}
		
}


